(SOLUCIONADO) Problemas con el gestor de actualizaciones

Imagen de apu314
0 puntos

Primero que nada hola y decir que llevo unos meses utilizando Ubuntu, es decir soy novatillo.
Mi problema es el siguiente:

-Al ir a actualizar con el Gestor de actualizaciones de Ubuntu 12.04 LTS me sale el siguiente error en una ventana emergente:

"No se pueden instalar todas las actualizaciones
Ejecutar una actualización parcial, para instalar tantas actualizaciones como sea posible.
Esto puede ser debido a :
*Una actualización anterior que no se completado
*Problemas con algunos de los programas instalados
*Paquetes de software no oficiales ni distribuidos por Ubuntu
*Los cambios normales de una versión preliminar de Ubuntu"

En dicha ventana emergente existe un botón que pone "Actualización parcial" y orto que pone "Cerrar". Yo le he dado al primero que he citado. Me ha pedido la confirmación de contraseña de administrador (la he puesto) y me ha salido otra ventana emergente en la que pone esto:

"No se ha podido determinar el metapaquete
Su sistema no contiene el paquete ubuntu-desktop, kubuntu-desktop, xubuntu-desktop o edubuntu-desktop, y no ha sido posible detectar qué versión de Ubuntu está ejecutando.
Por favor, instale uno de los paquetes anteriores usando Synaptic o apt-get antes de proceder."

----
EDITO:
Luego me sale otra ventana emergente más en la que me pone lo siguiente:

"No se ha podido calcular la actualización
Ha ocurrido un error irresoluble mientras se calculaba la actualización:
El paquete «ubuntu-desktop» está marcado para desinstalarse pero está en la lista negra de desinstalación.

Esto puede deberse a:
* Que se está actualizando a una versión de Ubuntu aún no publicada
* Que se está usando la actual versión aún no publicada de Ubuntu
* Paquetes de software no oficiales, no suministrados por Ubuntu

Probablemente sea un problema transitorio, inténtelo de nuevo más tarde."

----

Por otra parte, he ejecutado el comando "sudo apt-get update" y me ha dado los siguientes errores:

"W: Error de GPG: http://ftp.us.debian.org squeeze Release: Las firmas siguientes no se pudieron verificar porque su llave pública no está disponible: NO_PUBKEY AED4B06F473041FA NO_PUBKEY 64481591B98321F9
W: Imposible obtener http://ppa.launchpad.net/chromium-daily/ppa/ubuntu/dists/precise/main/so... 404 Not Found

W: Imposible obtener http://ppa.launchpad.net/chromium-daily/ppa/ubuntu/dists/precise/main/bi... 404 Not Found

W: Imposible obtener http://ppa.launchpad.net/chromium-daily/ppa/ubuntu/dists/precise/main/bi... 404 Not Found

E: Algunos archivos de índice fallaron al descargar. Se han ignorado, o se han utilizado unos antiguos en su lugar"

Por favor, agradecería muchísimo si alguien que sepa me brindara su ayuda.
Muchas gracias por adelantado.

Imagen de Goyo
+1
+2
-1

¿Por qué has añadido un repositorio de Debian?
Abre la aplicación orígenes del software. Ve a la pestaña Otro software. En la lista de fuentes busca todo lo que tenga " http://ftp.us.debian.org" y elimínalo (también puedes eliminar el repositorio de Chromium daily). Después ejecuta:

$ sudo apt-get update
$ sudo apt-get dist-upgrade

Si surge algún error ponlo aquí. Si te propone desinstalar paquetes cancela el proceso y pon aquí el mensaje. No autorices la desinstalación de paquetes si no estás seguro de que lo quieres desinstalar.

+1
+2
-1
Imagen de apu314
+1
0
-1

Muchas gracias Goyo, he hecho los pasos que me has detallado y ahora está descargando las actualizaciones, si surge algún problema o si me pide desisntalar lo que sea se podré un Log aquí.
Por cierto, a lo del repositorio de debian... no lo recuerdo pero sería porque al consultar un tutorial para instalar un software (ya te digo que no me acuerdo cuál era) me decía que debía añadir ese repositorio.
Muchas gracias por la ayuda! y un saludo!

+1
0
-1
Imagen de apu314
+1
0
-1

Solo decir que he conseguido actualizar bien sin ningún tipo de fallo.

Muty agradecido por tu ayuda. Un saludo!

+1
0
-1